MucNameContentHandler (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.formats.muc, class: MucNameContentHandler

# Class MucNameContentHandler

java.lang.Object
opennlp.tools.formats.muc.SgmlParser.ContentHandler
opennlp.tools.formats.muc.MucNameContentHandler

public class MucNameContentHandler extends SgmlParser.ContentHandler

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MucNameContentHandler(Tokenizer tokenizer, List<NameSample> storedSamples)`
  Initializes a `MucNameContentHandler`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `characters(CharSequence chars)`
  Handles a set of characters between SGML start and end tag.
  `void`
  `endElement(String name)`
  Handles a SGML end element.
  `void`
  `startElement(String name, Map<String,String> attributes)`
  Handles a SGML start element.

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MucNameContentHandler

    public MucNameContentHandler(Tokenizer tokenizer, List<NameSample> storedSamples)
    Initializes a `MucNameContentHandler`.
    Parameters:
      `tokenizer` - The `Tokenizer` to use. Must not be `null`.
      `storedSamples` - The `samples` as input. Must not be `null`.

- ## Method Details

  - ### startElement

    public void startElement(String name, Map<String,String> attributes) throws InvalidFormatException
    Description copied from class: `SgmlParser.ContentHandler`
    Handles a SGML start element.
    Specified by:
      `startElement` in class `SgmlParser.ContentHandler`
    Parameters:
      `name` - The name of the element's start tag.
      `attributes` - The attributes supplied with the start tag. It may be empty.
    Throws:
      `InvalidFormatException` - Thrown if parameters were invalid.

  - ### characters

    public void characters(CharSequence chars)
    Description copied from class: `SgmlParser.ContentHandler`
    Handles a set of characters between SGML start and end tag.
    Specified by:
      `characters` in class `SgmlParser.ContentHandler`
    Parameters:
      `chars` - The characters to process.

  - ### endElement

    public void endElement(String name)
    Description copied from class: `SgmlParser.ContentHandler`
    Handles a SGML end element.
    Specified by:
      `endElement` in class `SgmlParser.ContentHandler`
    Parameters:
      `name` - The name of the element's end tag.